### Method

# FwupdPlugin Context get_esp_volume_by_hard_drive_device_path

since: 2.0.0

#### Declaration [src]

    FuVolume*
    fu_context_get_esp_volume_by_hard_drive_device_path (
      FuContext* self,
      FuEfiHardDriveDevicePath* dp,
      GError** error
    )

#### Description [src]

Gets a volume that matches the EFI device path.

Available since: 2.0.0

#### Parameters

`dp`

  Type: `FuEfiHardDriveDevicePath`

  A `FuEfiHardDriveDevicePath`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuVolume`

A volume, or `NULL` if it was not found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.